Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class KONTROLLEUR

    java.lang.Object
      KONTROLLEUR

All Implemented Interfaces:
  KONTROLLEURINTERFACE

     class KONTROLLEUR

extends Object
implements KONTROLLEURINTERFACE

Kontrolleur des Programms.

Version:
  1.0
Author:
  Albert Wiedemann

Constructor Summary
`KONTROLLEUR()` Besetzt das Attribut vor.

Method Summary
`void` | `BeendenAusfuehren()` Beendet das Programm.
`(package private) void` | `OberflaecheSetzen(OBERFLAECHENINTERFACE o)` Setzt die Oberfläche.
`void` | `SortierenAusfuehren(int anzahlElemente, boolean auswahl, boolean mischen)` Ausführen der Laufzeitmessungen.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KONTROLLEUR

    KONTROLLEUR()

  Besetzt das Attribut vor.

Method Detail

### BeendenAusfuehren

    public void BeendenAusfuehren()

  Beendet das Programm.

  Specified by:
    `BeendenAusfuehren` in interface `KONTROLLEURINTERFACE`

### OberflaecheSetzen

    void OberflaecheSetzen(OBERFLAECHENINTERFACE o)

  Setzt die Oberfläche.

  Parameters:
    `o` - die ereigniserzeugende Oberfläche

### SortierenAusfuehren

    public void SortierenAusfuehren(int anzahlElemente,
                                    boolean auswahl,
                                    boolean mischen)

  Ausführen der Laufzeitmessungen.

  Specified by:
    `SortierenAusfuehren` in interface `KONTROLLEURINTERFACE`
  Parameters:
    `anzahlElemente` - Anzahl der zu sortierenden Datenelemente
    `auswahl` - gibt an, ob mit Auswahlsort sortiert werden soll
    `baum` - gibt an, ob mit Mergesort sortiert werden soll

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD